aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAstroFloyd <AstroFloyd@gmail.com>2018-04-30 11:31:29 +0200
committerAstroFloyd <AstroFloyd@gmail.com>2018-04-30 11:31:29 +0200
commit5608cf91f1a4dc4ccb0cd6517a19564ebdb31e59 (patch)
tree8f4a9114fe1e6a7a3564b2aabfe9bc70c3fdc691
parentdev-libs/intel-common: preserve old versions (diff)
downloadAstroFloyd-5608cf91f1a4dc4ccb0cd6517a19564ebdb31e59.tar.gz
AstroFloyd-5608cf91f1a4dc4ccb0cd6517a19564ebdb31e59.tar.bz2
AstroFloyd-5608cf91f1a4dc4ccb0cd6517a19564ebdb31e59.zip
sci-electronics/labjack-ljm-64bit: Initial ebuild for v20171221
Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--sci-electronics/labjack-ljm-64bit/ChangeLog5
-rw-r--r--sci-electronics/labjack-ljm-64bit/Manifest4
-rw-r--r--sci-electronics/labjack-ljm-64bit/labjack-ljm-64bit-20171221.ebuild76
-rw-r--r--sci-electronics/labjack-ljm-64bit/metadata.xml11
4 files changed, 96 insertions, 0 deletions
diff --git a/sci-electronics/labjack-ljm-64bit/ChangeLog b/sci-electronics/labjack-ljm-64bit/ChangeLog
new file mode 100644
index 0000000..468f1b5
--- /dev/null
+++ b/sci-electronics/labjack-ljm-64bit/ChangeLog
@@ -0,0 +1,5 @@
+*labjack-ljm-64bit-20171221 (30 Apr 2018)
+
+ 30 Apr 2018; AstroFloyd <AstroFloyd@gmail.com>
+ +labjack-ljm-64bit-20171221.ebuild, +metadata.xml:
+ sci-electronics/labjack-ljm-64bit: Initial ebuild for v20171221
diff --git a/sci-electronics/labjack-ljm-64bit/Manifest b/sci-electronics/labjack-ljm-64bit/Manifest
new file mode 100644
index 0000000..a305d30
--- /dev/null
+++ b/sci-electronics/labjack-ljm-64bit/Manifest
@@ -0,0 +1,4 @@
+DIST labjack_ljm_software_2017_12_21_x86_64.tar.gz 69663743 BLAKE2B 2a654c72221eefa241fc3b877231177da7c6cec6d0396545daf297cb6cff0cbba132e9abb21509ca3c69432eb4ebc6fd36fd783202fb3fe129e191b3ab725af4 SHA512 a67bce9def668309eaf7298ef4b20d2337487f5badf1ca2fa9d4ad8b595d16e822133aea3df46c72528b151feafab0bcea172f6dcc4ff999300bdf3e5c6f7edf
+EBUILD labjack-ljm-64bit-20171221.ebuild 2761 BLAKE2B 60a45ce200dbb57be00bf59d518a65b2ebde1c5727911d86454d74858da644911e2be68316f5d89e130b4812a74d79c44e190d6a51815d6bef144f6fa5209bec SHA512 e2c58ce65006a8ccd9771529aabc439829ac6487cbec562c405d0cef8e06efe735f368759fe6eb5e7d3f737583f66b5e2490565027b7786714f106bc41dadf76
+MISC ChangeLog 211 BLAKE2B 5ee6142b8d4cf90e6b2752c3e57f11e0e353ceb66196964e7e7ab825da3ccda64d1b1e2248e6499678adf81af6c07fb80225cb435f380fa2a0f6d5f969bfff2e SHA512 05de297243c9616a59d389f06d5ff93dc786638fe4a29f598ad9a2837e8832663bd87d55152ec13a08736525f00bec3903b3bdad668aca7b20ddd4804f4c23ff
+MISC metadata.xml 329 BLAKE2B 8a3b4815e572375c40c64ef7c2266bf8823c3c2bd2b1cbd97e1f2c3daaaa6b101f28cf1569c3de1645795e73611ae408310ac94ff3de4b59458fd1062ccdaa82 SHA512 e5ac12d24d49db9203120c63cbc4e47ec61d43fed9168b03e0390cc9a934e0f819b5912257e77563d4d8ed26fea24fff8eb89b86b69949d029a22f5db74bdd41
diff --git a/sci-electronics/labjack-ljm-64bit/labjack-ljm-64bit-20171221.ebuild b/sci-electronics/labjack-ljm-64bit/labjack-ljm-64bit-20171221.ebuild
new file mode 100644
index 0000000..0226bf9
--- /dev/null
+++ b/sci-electronics/labjack-ljm-64bit/labjack-ljm-64bit-20171221.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+DESCRIPTION="LabJack exodriver/LJM (+ C interface) and Kipling for T4, T7, and Digit (64-bit)"
+HOMEPAGE="https://labjack.com/support/software/installers/ljm"
+SRC_URI="https://labjack.com/sites/default/files/software/labjack_ljm_software_2017_12_21_x86_64.tar.gz"
+
+LICENSE="LabJack Boost-1.0 LGPL-2.1 MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples +kipling"
+
+DEPEND="app-arch/unmakeself"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/labjack_ljm_software_2017_12_21_x86_64"
+
+src_prepare() {
+ # Unpack selfextracting tarball:
+ unmakeself labjack_ljm_installer.run
+
+ # Fix destination directories:
+ sed -i \
+ -e "s:_DESTINATION=/usr/local/lib:_DESTINATION=${D}usr/lib64:" \
+ -e "s:_DESTINATION=/usr/local/:_DESTINATION=${D}usr/:" \
+ -e "s:_DESTINATION=/opt:_DESTINATION=${D}opt:" \
+ -e "s:/lib/udev/rules.d:${D}lib/udev/rules.d:" \
+ setup.sh
+
+ # Don't clean up. Print messages in success() in pkg_info():
+ sed -i 's:go rm -rf "./labjack_ljm_software":echo "The packages was installed succesfully"; exit 0 # \&:' setup.sh
+
+ # The library path is added to /etc/ld.so.conf and ldconfig is run, but since we use the default dir (/usr/lib64/), this isn't necessary:
+ sed -i 's:^setup_ldconfig$:# setup_ldconfig:' setup.sh
+
+ # Cannot restart device rules at this stage:
+ sed -i 's:^restart_device_rules$:# restart_device_rules:' setup.sh
+
+ # Remove path from symbolic links in the same directory:
+ sed -i \
+ -e 's:ln -s -f ${LIB_DESTINATION}/${LJM_REALNAME} ${LIB_DESTINATION}/${LJM_SONAME}:ln -s -f ${LJM_REALNAME} ${LIB_DESTINATION}/${LJM_SONAME}:' \
+ -e 's:ln -s -f ${LIB_DESTINATION}/${LJM_SONAME} ${LIB_DESTINATION}/${LJM_LINKERNAME}:ln -s -f ${LJM_SONAME} ${LIB_DESTINATION}/${LJM_LINKERNAME}:' \
+ setup.sh
+}
+
+src_install() {
+ mkdir -p "${D}/usr/bin" "${D}/usr/include" "${D}/usr/lib64" "${D}/usr/share" "${D}/opt" "${D}/lib/udev/rules.d"
+
+ VERSION=`head -n 100 labjack_ljm_installer.run | grep scriptargs= | sed -e 's/scriptargs=//' -e 's/"//g'` # v2017_12_21_x86_64 has LJM library v1.17.0
+ elog "${P} contains LJM library ${VERSION}"
+ ./setup.sh ${VERSION}
+
+ # Install examples if desired:
+ if use examples; then
+ insinto usr/share/LabJack
+ doins -r labjack_ljm_examples
+ fi
+
+ # Do NOT install kipling if explicitly indicated:
+ if ! use kipling; then
+ rm -rf "${D}/opt/" "${D}/usr/bin/"
+ fi
+}
+
+pkg_postinst() {
+ elog
+ elog "Please manually restart the device rules, e.g. using "
+ elog " 'udevadm control --reload' or restart your computer."
+ elog
+ elog "If you have any LabJack devices connected, please disconnect and"
+ elog " reconnect them afterwards for device rule changes to take effect"
+ elog " (or use 'udevadm trigger')."
+ elog
+}
diff --git a/sci-electronics/labjack-ljm-64bit/metadata.xml b/sci-electronics/labjack-ljm-64bit/metadata.xml
new file mode 100644
index 0000000..d838a42
--- /dev/null
+++ b/sci-electronics/labjack-ljm-64bit/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>AstroFloyd@gmail.com</email>
+ <name>AstroFloyd</name>
+ </maintainer>
+ <use>
+ <flag name='kipling'>Install the Kipling program</flag>
+ </use>
+</pkgmetadata>